Introduction to GetGo

GetGo Download Manager 2.52

Copyright (c) 2004 GetGo Software Ltd.

GetGoSoft - www.getgosoft.com

GetGo is an application that helps you download files from the internet. You can download files by either HTTP or FTP protocols. It helps you manage your downloaded files by organizing the downloads by URL, date, size, filename, or size. It has a fully customizable interface with lots of options to enhance your internet downloading experience.

License

You may not redistribute GetGo in any form without the express written consent of GetGo Software Ltd.


Changelog

GetGo Download Manager 2.52

Copyright (c) 2004 GetGo Software Ltd.

GetGo Software - www.getgosoft.com

There were a number of performance enhancements as well as feature/GUI additions and changes, here is the list:

Version 2.52

NEW Features

- Option to Add URL without asking
- More Sounds Options (Download Started/Failed/Added)
- FireFox web browser Integration
- Command Line Support
- Disable IE Monitoring in DropWindow Menu and Main Menu

Version 2.51

NEW Features

- Option to Shutdown Computer on Download Completion
- Floating Drop Window for easy URL Drag & Drop

Version 2.5

NEW Features

- New Option DialogBox
- New Account/Username/Password Management
- HTTP/FTP Proxy/Firewall support
- GetGo Internet Explorer Toolbar/Context Popup Menu
- Batch Download

Feature Enhancements

- Download Complete Popup Notification
- Sys Tray Tooltip
- Import/Export URL links from/to file
- Start/Stop All Downloads
- Support for FTP PORT or PASV mode
- Re-Download
- HTTP/FTP Protocol Performance Enhancements
- Option to Launch on StartUp
- Option to Close GetGo on Download Completion


Browser Integration

Internet Explorer

GetGo automatically integrates into Internet Explorer, so there is no need to install anything further for supporting this browser.

Mozilla Firefox

GetGo can be configured using the "DownloadWith" extenstion available for Firefox. The command line parameters used to send GetGo new download URL's is "/URL:[URL]".


Keyboard Shortcuts

There are many keyboard shortcuts you can use with GetGo. These will help you work more efficiently.

From within Internet Explorer

Ignore URL (Ctrl + Click)

If you want to make sure GetGo Download Manager does not catch the URL you click on, press and hold down Ctrl as you click the item in Internet Explorer.

From within GetGo Download Manager

Help (F1)

Pressing F1 will display this help file.

New Download (Ctrl + N)

This will bring up the New URL Dialog box so you can manually enter a URL to download.

New Batch Download (Ctrl + Shift + N)

This will bring up the Batch URL Dialog box so you can manually enter a Batch Job of URLs to download.

Start Downloads (Ctrl + S)

This button enques/starts any selected downloads.

Stop Downloads (Ctrl + Shift + S)

This button dequeues/stops any selected downloads.

Delete (Del)

This button will delete any selected items. If the item is in the completed downloads view, you may be prompted to delete the file on disk. If the item is currently being downloaded, then it will simply remove it from the database.

Open Downloads Folder (Alt + D)

Open the default downloads folder.

Check for update (Alt + U)

This checks to see if there is a newer version of GetGo Download Manager available.

GetGo Homepage (Ctrl + H)

This will take you to the GetGo Download Manager website.

Show/Hide Details View (Ctrl + D)

Show/Hide the details view pane.

Show/Hide Bandwidth View (Ctrl + B)

Show/Hide the bandwidth view pane.

Show/Hide Toolbar (Ctrl + T)

This will show/hide the toolbar.

Show GetGo (Alt + S)

Show GetGo Download Manager. This will make GetGo Download Manager the topmost window on your desktop.

Show/Hide Status Bar (Ctrl + Shift + B)

Show/Hide the bottom status bar.


System Tray

The Toolbar

The Toolbar has eight buttons: New, Start, Stop, Delete, Details, Bandwidth, Options, and Tell A Friend.

New

This allows you to add a download manually.

Start

This button enques/starts any selected downloads.

Stop

This button dequeues/stops any selected downloads.

Delete

This button stops and deletes any selected downloads.

Details View

This button toggles the display of the details view. This shows extra information about the selected download.

Bandwidth View

If you want to see the network usage of all your downloads in GetGo, this will show/hide the Bandwidth View pane.

Options

This brings up the options dialog in which you can change many of GetGo's features.

Tell A Friend

If you decide you like GetGo and want to tell your friends, clicking this button will launch your default mail client and start a new email. All you need to do is enter your email address!


System Tray

Downloading Files

To Start downloading a file,when the new URL dialog box appears, make sure that the "start immediately" checkbox is marked, and then click the "OK" button. Or click "new" on the toolbar and manually enter in the information.

After you click OK, the download will start and appear in the main application window. If you did not check the "Start Immediately" checkbox, the download will be put into the main window, but will not start. You will have to manually select the item and click "Start" to start downloading this file.

If the site requires login/password information, you can enter this information if you enable the "Use Login Info" checkbox. You can then manually enter new login information, or if this is an account you have saved before, click the select button to bring up the password management dialog. If you want to save the current login information, click Save As... and this will allow you to set a name for this account for later use.

If you want to quickly add files to GetGo without showing the New Download Dialog, make sure this option is checked.


Resuming Files

Every time you add a download, GetGo saves all the required information so you can stop, and resume a download at a later date. If you want to resume a download, select the item to resume, and click start. GetGo remembers where it left off and resumes after that point.

After you click start, the download will proceed from where it left off.

If you want so see a status dialog about a particular download, double-click the item in the Downloading View.

After a download is complete, you can double click it in the Completed View to run it. You can also click the open button from the status dialog


Options

There are numerous options that you can tweak to get the most out of GetGo and your internet connection. The options have been divided up into eight categories: General, URL Catcher, Connection, Proxy/Firewall, Download Completion, Passwords, Sounds, and Advanced.

All options can be reset to their original setting if you click on the "Reset to Defaults" button in the lower left corner of the options screen.


Options - File Management

General Options

General has two sections, Application behaviour and Download behaviour.

Application behaviour

Launch on Windows StartUp

Launch GetGo everytime you startup windows.

Start Minimized

Check this if you don't want GetGo to show the main application window when starting up.

X Button Hides Windows

You can customize getgo by making the X button in the top right hand corner act as a "Minimize to tray" feature. This will hide the main application window, and remove the taskbar entry. You can show the main application window by clicking on the systray icon and choosing "Show GetGo". You can automatically show GetGo by double-clicking the systray icon.

Minimize Hides Windows

When you click on the minimize button in the top right hand corner, this will not only hide the main application window, but will remove the taskbar entry showing only the systray icon.

On Delete, Always Remove Download File from Disk

When you delete an item from your history, you also have the option to delete the associated file from your hard drive.

On Exit, Prompt if Download are Pending

When you close GetGo, having this option checked will make sure there are no active downloads. If there are some files still being downloaded, GetGo will tell you before exiting so you have the option to continue exiting, or let GetGo finish downloading the remaining items.

Download behaviour

Skip New Download Dialog

If you don't want GetGo to show the New Download Dialog properties dialog box when adding downloads, check this box and the download will use all the default options. This is handy if you want to add items quickly without clicking anything in GetGo to add/start a job.

Immediately Start Download

After adding a URL to GetGo, you have the option to automatically start it. This option is useful if you have "Launch on Windows Startup" enabled, as all your downloads will start downloading as soon as GetGo starts.

On Re-Download, Prompt Before Deleting Original File

If you choose to re-download a particular file, GetGo asks you if you want to delete the original file before downloading it again. This will enable or disable the prompting of such an action.


Options - URLCatcher

URL Catcher Options

URL Catcher has two sections, Internet Explorer and Ignore Sites.

Catch URL Clicks

This enables/disables GetGo URL interception. This does not require you to restart your computer or Internet Explorer.

Monitor URL clicks for these extensions

Separated by a space character, if the URL of the item that you clicked on the webpage matches one of the following extensions, GetGo will intercept and start downloading it providing GetGo is configured to intercept URLs (see above option).

Ignore URLs

Sometimes it is handy to ignore certain websites and/or portions of a URL ?Enter in any string here and if any part of the link matches the given string, the GetGo will not intercept it.


Options - Connection

Connection Options

Connection options has three different sections: Connection, User-agent, and Download queue.

Connection

Connection Type

This is what GetGo initializes its bandwidth usage scale at. If GetGo notices that you are getting higher than specified speeds, this will automatically update to the according line speed that you are getting.

Concurrent Connections Per Download

This is the default number of simultaneous connections to a site that GetGo will attempt. You always have the option to change this on a per-download basis when you first add the download item to GetGo.

Number of Retries / Retry Forever

If GetGo encounters an error in downloading the requested item, GetGo will continue to try to download the item in the hopes that it will success in downloading the file. You have the option to retry forever, or a specific amount. The reccommended setting is 5 retries.

User-agent

User Agent / Custom

When you download an item from a website, that website will log information about you, specifically your user-agent string. There are options to emulate specific browsers, or you can create your own custom value.

Download Queue

Max Simultaneous Downloads

In order to save CPU cycles, or reduce network traffic on your computer, you can increase or decrease the amount of individual download items that can be active at one point.


Options - Proxy/Firewall

Proxy/Firewall Options

Proxy/Firewall options has two different sections: Use HTTP Proxy and Use FTP Proxy.

Use HTTP Proxy

If you want GetGo to download all HTTP items through a proxy server, this is where you can configure the proxy server address, port, username, and password. If want the same settings as configured for Internet Explorer, click the "Get from IE" button, and these values will automatically be filled in for you.

Use FTP Proxy

User Agent / Custom

If you want GetGo to download all FTP items through a proxy server, this is where you can configure the proxy server address, port, username, password, and the Proxy Type. If want the same settings as configured for Internet Explorer, click the "Get from IE" button, and these values will automatically be filled in for you. There is an additional option, "Use FTP in PASV mode". If you have troubles connecting or downloading data from a particular FTP site, try changing this option.


Options - Download Completion

Download Completion Options

Download Completion options only has one section, and it only deals with what happens after GetGo has finished downloading an item.

Save To

This is the default download path for download files.

Show Notification for X seconds When a Download is Completed

You can choose to show the notification window when a download is complete, or not to show it at all. Select the number of seconds it will display for if enabled.

Open File On Notification Window Click

You have two choices when you see the download notification window and click on it: Simply close the notification window, or run the application. Note: If multiple downloaded items have completed at the same time, this feature is automatically disabled. If you would like the behaviour of this or any option changed, let us know!

Remove From History

If you do not want GetGo to store historical download information at all, check this option.

Days to Keep Downloads In History

If you only want to keep a limited history, you can choose to select the number of days before an automatic purge of the history, or you can click the "Clear History" button to purge the history immediately.

Check For Viruses

After a download is complete, GetGo can have your favourite virus scanner operate on it. The first entry box is for the path to the virus scanner executable, the second entry box is for the parameters to send the virus scanner executable.

Close GetGo DM

This will close GetGo when all items in the downloading list have completed. If there are any stopped or failed downloads, GetGo will still shutdown.

Shutdown Computer

This will close GetGo and shutdown the computer when all items in the downloading list have completed. If there are any stopped or failed downloads, GetGo will still shutdown. You have the option to cancel the shutdown procedure as there is a 30 second timer before GetGo will actually shut down the computer.


Options - Passwords

Passwords Options

Passwords options only has one section, and it deals with managing the username/password accounts when downloading from sites.

Passwords

You can choose to add, edit, or delete your site passwords here. When you add an item to GetGo to download, you'll have the option to select on of these accounts for authentication.


Options - Sounds

Sounds Options

Sounds options only has one section, and it deals with managing the various sounds GetGo can play.

Sounds

If you want to hear sounds in GetGo, enable the checkbox for each sound and click browse to choose a wav file.


Options - Advanced

Advanced Options

Advanced options only has two different sections, Plugins and Display.

Plugin Directory

This is where GetGo will search for the protocol dlls that it supports. It is reccommended not to touch this unless you know what you are doing.

Update Speed

This reflects visually how fast the download data is updated, not how fast you download from the network. You can choose Fast, Normal, or Slow update speeds.

Format Data As

You can choose to have the display file units in Megabytes, Kilobytes, or Bytes.


System Tray

While active, GetGo continually displays its icon in the system tray. If a download is currently active and is downloading bytes of information, GetGo will animate itself to notify you of the activity.

On Download Complete

If configured, GetGo will notify you with a window when a download completes. In the options, you can configure this window to either close when you click it, or to run the newly downloaded item.

System Tray Menu

Show GetGo

This brings GetGo to the topmost window on your desktop.

Catch IE Clicks

This will quickly enable or disable the URL catch in Internet Explorer.

Drop Window

This will show/hide the Drop Window.

New Download

Pops up a dialog box allowing you to manually enter a new download

Batch Download

Pops up a dialog box allowing you to manually enter a batch download job

Start All Downloads

This will start all the downloads in your pending or stopped list.

Stop All Downloads

This will stop all downloadsin the pending or downloading list.

Options

Brings up the options configuration dialog

Purchase Online...

Click here to visit the GetGoSoft.com website, and register your copy of GetGo Download Manager. Thank you for your support!

About GetGo...

Brings up the About Dialog

Exit

Terminates active downloads and shuts down GetGo completely.

Downloading Menu

There are many options here that you can choose to operate on any selected item in the downloading view. Hold ctrl while left clicking to select multiple items, or use select all to choose the entire list. Then you can right click and get the downloading view menu.

Downloaded Menu

As with the downloading view, there are another set of options you can choose to do on one, some, or all of the items in the completed view.


Drop Window

If you prefer to drag & drop your links into GetGo, this window will accept your links. That way you can minimize GetGo and leave more room to do other work on your Desktop!

Drop Window Menu

Show GetGo

This brings GetGo to the topmost window on your desktop.

Catch IE Clicks

This will quickly enable or disable the URL catch in Internet Explorer.

Drop Window

This will show/hide the Drop Window.

New Download

Pops up a dialog box allowing you to manually enter a new download

Batch Download

Pops up a dialog box allowing you to manually enter a batch download job

Start All Downloads

This will start all the downloads in your pending or stopped list.

Stop All Downloads

This will stop all downloadsin the pending or downloading list.

Options

Brings up the options configuration dialog

Purchase Online...

Click here to visit the GetGoSoft.com website, and register your copy of GetGo Download Manager. Thank you for your support!

About GetGo...

Brings up the About Dialog

Exit

Terminates active downloads and shuts down GetGo completely.


Command Line

GetGo can be initiated from the command line. If you want to write your own batch files, you can call GetGo with the following command line parameter to send GetGo URLs. GetGo does not already have to be running for this to work.


Reporting Problems

If you encounter a problem while running GetGo, please visit the GetGo Software web site (www.getgosoft.com) to see if an update has been released that might correct the bug. If the problem has not been fixed, please submit a thorough report of the problem, including information on your system configuration and details on how to reproduce the problem, to feedback@getgosoft.com


Registration

GetGo Download Manager Registration

You'll get the following advantages after the registration:

- unlimited free email support
- license to use GetGo Download Manager on one computer for any purpose
- FREE upgrade to new versions of GetGo Download Manager
- you will support GetGo Download Manager development to make it even better

The registration fee is US $25. Please go to www.getgosoft.com to register.


Options - FileManagement

Options

There are numerous options that you can modify to get the most out of your internet connection. You can customize the user interface to GetGo as well.

File Management

Plugin Directory

This is the directory in which the various GetGo plugins are located, such as the HTTP and FTP plugins.

Save To

GetGo will, by default, save any new downloads to this location.?Every new download has the option of saving to a specific directory, so this can be overridden.

Virus Check After Download Using

Enter the location of your favourite virus scanner here, and GetGo will scan the file after the download completes to ensure safe downloading. If your scanner requires any additional parameters, enter them here.

Sound Directory

Anytime GetGo completes a download, it will look in this directory for a file called ?span class=SpellE>DownloadComplete.wav?and attempts to play this wav file through the system’s speakers.?Currently only “wav? files are supported.

On Delete Download

When you delete items from GetGo, you can optionally have them removed from the download directory as well.?Click this option if you want to remove both the database entry and the file on the hard drive.


Options - Speed

Options

There are numerous options that you can modify to get the most out of your internet connection. You can customize the user interface to GetGo as well.

Speed

Network Speed

GetGo by default is set to display network traffic based on a 14.4k dialup modem.? You can change this to your specific connection type.?In the event that your connection exceeds the bounds of the bandwidth to display, GetGo will automatically increase the bandwidth numbers to accommodate the last fastest speed.

Update Speed

This is the speed at which GetGo will update its display.?There are 3 choices, Fast/Normal/Slow.?

Format Data As

If you wish to see sizes and speeds in a specific display format, there are 3 choices: bytes, Kilobytes(Kb), and Megabytes(Mb).

User-Agent

You can optionally specify GetGo to send it’s default user-agent string in order to emulate a specific browser, or send a custom string of your choosing.